[3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10846
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Beitrag von Crizzo »

KWolf hat geschrieben:
19.07.2020 16:00
also habe ich keinen prefix in der Installtion, korrekt?
Kann ich nun die "phpbb3" prefix Einträge ohne bedenken entfernen?
Kommt drauf an, ob du den Inhalt in diesem Teil der Datenbank noch brauchst, also mal anschauen.
KWolf hat geschrieben:
19.07.2020 16:00
Zur Klarstellung:
ich installiere jetzt 3.3 auf dem üblichen Weg:
Ordner wie Images etc. auf dem Ftp lassen + config.php und dann den Rest entfernen und die 3.3 dateien hochladen?
Nein, du hast schon eine Datenbank, du musst überhaupt nichts installieren!
KWolf hat geschrieben:
19.07.2020 16:00
hm ok. aber wie kann ich eine Zweitinstalltion gemacht haben? - ich habe nie ein Präfix angegeben...naja, wie oben drüber in dem Beitrag erfragt: ich kann demanch die Einträge "phpbb3" händisch entfernen richtig? - diese werden ja nicht benötigt bzw. überhaupt gerade angesprochen.
Wie hast du denn das Update gemacht?

Was steht denn jetzt in der "config"-Tabelle unter Version? Was passiert, wenn du Cache manuell leerst?

Es kann ja weiterhin nicht sein, dass du 3.2.9er Dateien hast, eine 3.3.0 Datenbank und das Board nicht meckert.

Grüße

Benutzeravatar
KWolf
Mitglied
Beiträge: 29
Registriert: 18.07.2020 11:57

Re: [3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Beitrag von KWolf »

Kommt drauf an, ob du den Inhalt in diesem Teil der Datenbank noch brauchst, also mal anschauen.
das verstehe ich nicht...in meiner config.php ist ja kein Prefix angegeben - daraus würde für mich resultieren dass alle Prefix-dateien irrelevant sind?!
Nein, du hast schon eine Datenbank, du musst überhaupt nichts installieren!
das ist korrekt ich hae eine Datenbank mit 3.3.0 aber ich glaube nicht dass das Board 3.3.0 ist, denn sonst würde wie von "Crizzo" erfragt
Was steht in der Datei: \includes\constants.php in Zeile 31?
nicht 3.2.9 stehen. Ich bin ein Laie auf dem Gebiet, jedoch sagt dies mir doch dass mein Forum 3.2.9 ist und nicht 3.3.0...
Jedoch sagt mein ACP ich besitze 3.3.0 - wie soll das gehen?
Wie hast du denn das Update gemacht?
Nach Anleitung im Forum...und ich habe die 3.2.9 installiert (100% - wird ja auch so in der constants.php angegeben)
Was steht denn jetzt in der "config"-Tabelle unter Version? Was passiert, wenn du Cache manuell leerst?
es steht 3.3.0 drin und die Cache-Leerung hat keine Veränderung gebracht. Forum funktioniert, jedoch bin ich nach wie vor unsicher, dass es wirklich läuft
Es kann ja weiterhin nicht sein, dass du 3.2.9er Dateien hast, eine 3.3.0 Datenbank und das Board nicht meckert.
Wie gesagt: ich bin Laie, aber ich muss an der Stelle sagen: doch, denn 3.3.0 steht in der ACP und in der Datenbank, jedoch in der constants.php 3.2.9

Viele Grüße und danke für die Hilfe!

Edit:
Ich würde jetzt so vorgehen:
1. Update vom forum auf 3.3
2. entfernen der Prefix einträge
3. absolution Theme für 3.3 hochladen und entfernen

Ist das empfehlenswert?

Automatisch dem Beitrag hinzugefügt nach 12 Minuten 55 Sekunden. Bitte Regel für „Topic-Bumping“ beachten. Danke.

Ich war so mutig und habe nach einem Backup die Prefix-Einträge entfernt...(ich habe mir diese teilweise auch angeschaut - sie waren teilweise leer...)
Keine Veränderung. (also alles beim alten - und Forum funktioniert) also gehe ich davon aus, dass egal wie diese Einträge dahin kamen, nicht dorthin gehörten.

Wie soll ich am besten fortfahren?
Der Löwe und der Tiger sind vielleicht stärker...
aber der Wolf wird nie im Zirkus zu sehen sein. :D

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10846
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: [3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Beitrag von Crizzo »

Ich würde das Backup von "vor dem Update" nehmen, sowohl der Dateien als auch der Datenbank und ganz neu anfangen.

Am besten in einer frischen Datenbank und den aktuellen Status unangetastet lassen. Wenn dann nach dem 2. Update alles läuft, fängst du an den aktuellen Stand zu löschen und bist durch. :)

Benutzeravatar
KWolf
Mitglied
Beiträge: 29
Registriert: 18.07.2020 11:57

Re: [3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Beitrag von KWolf »

Hallo,

ich habe alles genauso gemacht...bis zum "Datenbankupdate" lief alles glatt...keine Fehler.
Dann den "install" Ordner umbenannt in "bk_install" und im Updatefenster auf -> gehe zur ACP. ...weiße Seite

dann habe ich mein lokales Backup mit der komischen 2funktionierenden 3.2.9 Version wieder hochgeladen. >>> ...weiße Seite

jetzt bin ich komplett ratlos :(

Edit:
Die gefundenen Tricks haben auch nicht geholfen:
1. Cache manuel auf dem ftp leeren
2. Cache vom Browser leeren

die letzten Fehler logs:
20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: PHP Warning: include(/mnt/web106/c2/91/5395791/htdocs/phpBB_04/vendor/composer/../patchwork/utf8/src/Patchwork/Utf8/Bootup.php): failed to open stream: No such file or directory in /mnt/web106/c2/91/5395791/htdocs/phpBB_04/vendor/composer/ClassLoader.php on line 444: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: PHP Warning: include(): Failed opening '/mnt/web106/c2/91/5395791/htdocs/phpBB_04/vendor/composer/../patchwork/utf8/src/Patchwork/Utf8/Bootup.php' for inclusion (include_path='.:/opt/RZphp73/includes') in /mnt/web106/c2/91/5395791/htdocs/phpBB_04/vendor/composer/ClassLoader.php on line 444: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: PHP Fatal error: Uncaught Error: Class 'Patchwork\\Utf8\\Bootup' not found in /mnt/web106/c2/91/5395791/htdocs/phpBB_04/includes/utf/utf_tools.php:27: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: Stack trace:: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: #0 /mnt/web106/c2/91/5395791/htdocs/phpBB_04/common.php(97): require(): /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: #1 /mnt/web106/c2/91/5395791/htdocs/phpBB_04/download/file.php(150): include('/mnt/web106/c2/...'): /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: #2 {main}: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php

20.07.2020 08:11:10 meinesubdomain.domain.de [client 85.25.49.0] AH01215: thrown in /mnt/web106/c2/91/5395791/htdocs/phpBB_04/includes/utf/utf_tools.php on line 27: /home/strato/http/premium/rid/57/91/5395791/htdocs/phpBB_04/download/file.php
Edit 2:

ich habe nun das komplette "neue" 3.2.9 Paket hochgeladen und installiert. Dann nach dieser Anleitung https://www.phpbb.de/kb/viewarticle?a=60die Rechtevergabe überprüft und "cache, images, files, store" von 755 auf 777 gestellt. Forum wieder da! ?!?!? was ist denn da los?
mich macht das wahnsinnig :grin: . Einerseits ist es schön, dass das Forum jetzt wieder läuft und andererseits habe ich jetzt wieder ein 3.2.9 Forum mit einer 3.3.0 Datenbank...
Aber ich möchte ja ein 3.3.0 Forum mit einer 3.3.0 Datenbank.

Ich warte jetzt erstmal ab, was eure Antwort ist...bevor ich wieder den Versuch wage eine 3.3 zu installieren.
Weiter habe ich folgende Frage: damit ich nicht immer so ewige uploadzeiten habe, hatte ich die Idee, dass ich ja den Ordner kopieren könnte (und umbenennen) und wenn das Update fehlschlägt, ich einfach den anderen Ordner wieder kopiere und den zweiten umbenenne. (sozusagen PingPong, bis das forum funktioniert. Würde das klappen?

Auch hier wieder: vielen Dank für die weitere Hilfe!
Der Löwe und der Tiger sind vielleicht stärker...
aber der Wolf wird nie im Zirkus zu sehen sein. :D

Benutzeravatar
KWolf
Mitglied
Beiträge: 29
Registriert: 18.07.2020 11:57

Re: [3.3] Updateversion ist die falsche im ACP & Styles werden nicht anerkannt

Beitrag von KWolf »

So Leute :),

nach vielem hin und herprobieren, habe ich es geschafft eine 3.2.9 Datenbank mit einem 3.2.9 Forum zum laufen zu bringen...
mir ist dabei aufgefallen, dass in FileZilla in ../vendor/symfony/console er versucht hat einen Unterordner (/phpBB_04/vendor/symfony/console/Symfony/console/..) zu erstellen und die Übertragung fehlgeschlagen ist. diese 5 Dateien habe ich einfach entfernt, da in meinen ganzen (mittlerweile 4 Backups) dieser Unterordner nicht existierte (also der doppelte Pfad).

Jetzt läuft das Forum. Ich habe nun alle extensions deaktiviert, Sprache auf british gestellt, den Foren Cache geleert und wollte eigentlich den Versuch wagen die 3.3.0 https://www.phpbb.com/community/viewtop ... &t=2534541 nun zu installieren.

damit ist dieses Thema...

*closed* Danke Euch!
Der Löwe und der Tiger sind vielleicht stärker...
aber der Wolf wird nie im Zirkus zu sehen sein. :D

Antworten

Zurück zu „Support-Forum“